summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPier Luigi Fiorini2018-12-25 15:53:18 +0100
committerPier Luigi Fiorini2018-12-25 15:53:18 +0100
commit703d1cd1bca647c24aa7ec6c8c0fdf4f12577c18 (patch)
tree78a9d311e3d119512cc1b95a64adeb5fae63e49e
parent13565c125c83049e0f856244e6c90c5c68441cd3 (diff)
downloadaur-703d1cd1bca647c24aa7ec6c8c0fdf4f12577c18.tar.gz
Switch to CMake
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD36
2 files changed, 27 insertions, 15 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 8da024df16e..5ba557dac55 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,8 @@
+# Generated by mksrcinfo v8
+# Tue Dec 25 14:53:16 UTC 2018
pkgbase = liri-power-manager-git
pkgdesc = Manages the power consumption settings of Liri Shell
- pkgver = 20180902.68.f556523
+ pkgver = r75.2164b6d
pkgrel = 1
url = https://liri.io
arch = i686
@@ -10,7 +12,7 @@ pkgbase = liri-power-manager-git
groups = liri-git
license = GPL3
makedepends = git
- makedepends = liri-qbs-shared-git
+ makedepends = liri-cmake-shared-git
depends = qt5-tools
depends = qt5-gsettings-git
depends = fluid-git
diff --git a/PKGBUILD b/PKGBUILD
index 8f1d3349501..ba5cbdcf09a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,14 +1,14 @@
# Maintainer: Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
pkgname=liri-power-manager-git
-pkgver=20180902.68.f556523
+pkgver=r75.2164b6d
pkgrel=1
pkgdesc="Manages the power consumption settings of Liri Shell"
arch=('i686' 'x86_64' 'armv6h' 'armv7h')
url='https://liri.io'
license=('GPL3')
depends=('qt5-tools' 'qt5-gsettings-git' 'fluid-git' 'libliri-git')
-makedepends=('git' 'liri-qbs-shared-git')
+makedepends=('git' 'liri-cmake-shared-git')
options=(debug !strip)
conflicts=('liri-power-manager')
replaces=('liri-power-manager')
@@ -23,21 +23,31 @@ md5sums=('SKIP')
pkgver() {
cd ${srcdir}/${_gitname}
- echo "$(git log -1 --format="%cd" --date=short | tr -d '-').$(git rev-list --count HEAD).$(git log -1 --format="%h")"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ mkdir -p build
}
build() {
- cd ${srcdir}/${_gitname}
- qbs setup-toolchains --type gcc /usr/bin/g++ gcc
- qbs setup-qt /usr/bin/qmake-qt5 qt5
- qbs config profiles.qt5.baseProfile gcc
- qbs build --no-install -d build config:debug qbs.buildVariant:debug profile:qt5 \
- modules.lirideployment.prefix:/usr \
- modules.lirideployment.qmlDir:/usr/lib/qt/qml \
- modules.lirideployment.pluginsDir:/usr/lib/qt/plugins
+ cd build
+ cmake ../${_gitname} \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DBUILD_TESTING:BOOL=OFF \
+ -DINSTALL_SYSCONFDIR=/etc \
+ -DINSTALL_LIBDIR=/usr/lib \
+ -DINSTALL_LIBEXECDIR=/usr/lib \
+ -DINSTALL_QMLDIR=/usr/lib/qt/qml \
+ -DINSTALL_PLUGINSDIR=/usr/lib/qt/plugins
+ make
}
package() {
- cd ${srcdir}/${_gitname}
- qbs install -d build --no-build -v --install-root $pkgdir config:debug profile:qt5
+ cd build
+ make DESTDIR="$pkgdir" install
}